<?php
namespace EEPROM\Auth;

class SockChatAuth extends MisuzuAuth {
    public function getName(): string { return 'SockChat'; }

    public function verifyToken(string $token): int {
        if(strpos($token, '_') === false)
            return -1;

        $tokenParts = explode('_', $token, 2);
        $userId = intval($tokenParts[0] ?? 0);
        $chatToken = strval($tokenParts[1] ?? '');

        $getUserId = $this->getDatabase()->prepare('
            SELECT `user_id`
            FROM `msz_user_chat_tokens`
            WHERE `user_id` = :user
            AND `token_string` = :token
            AND `token_created` > NOW() - INTERVAL 1 WEEK
        ');
        $getUserId->bindValue('user', $userId);
        $getUserId->bindValue('token', $chatToken);
        $getUserId->execute();

        return (int)$getUserId->fetchColumn();
    }
}
